export const YYYYMMDDHHmmss = "YYYY-MM-DD HH:mm:ss";
export const PLATFORM = "WEB";

if (!localStorage.getItem("deviceId")) {
  localStorage.setItem("deviceId", Math.random() + "-" + Date.now());
}
export const DEVICE_ID = localStorage.getItem("deviceId");

export const INVIGILATOR_IMPORT_TEMPLATE_DOWNLOAD_URL =
  "http://qmth-test.oss-cn-shenzhen.aliyuncs.com/file/考场监考老师导入.xlsx";
export const EXAM_STUDENT_IMPORT_TEMPLATE_DOWNLOAD_URL =
  "http://qmth-test.oss-cn-shenzhen.aliyuncs.com/file/考生导入_在线考试.xlsx";

export const FINISH_TYPE = {
  MANUAL: "手动收卷",
  AUTO: "正常交卷",
  BREACH: "强制收卷",
  INTERRUPT: "系统清卷",
};

export const REEXAM_TYPE = {
  0: "批次内",
  1: "换批次",
};

export const BREACH_REASON_TYPE = {
  0: "批次内12",
  1: "换批次1",
};

export const BREACH_REPEAL_TYPE = {
  0: "批次内334",
  1: "换批次555",
};

export const REEXAM_REASON = {
  EXCEPTION_TIME_OUT: "异常处理时效过期",
  BREAK_TIME_OUT: "断点续考次数用完",
  INVIGILATE_MISS: "监考人员误操作",
};

export const IMPORT_EXPORT_TASKS = [
  { code: "CALCULATE_EXAM_SCORE", name: "考试重新算分" },
  { code: "IMPORT_EXAM_STUDENT", name: "导入考生" },
  { code: "IMPORT_EXAM_PAPER", name: "导入试卷" },
  { code: "IMPORT_INVIGILATE_USER", name: "导入监考员" },
  { code: "EXPORT_INVIGILATE_USER", name: "导出监考员" },
];

let domain;
if (process.env.VUE_APP_SELF_DEFINE_DOMAIN === "true") {
  domain = window.localStorage.getItem("domain_in_url");
}
if (!domain) domain = window.location.hostname.split(".")[0];
export const ORG_CODE = domain;
